import React from 'react';
import SubPageTemplate from '../SubPageTemplate';
import { INDUSTRY_PAGE_IDS } from '@/constants/dataTypes';

// 复用首页的左侧组件
import LeftContent from '@/pages/Home_v_2504/components/LeftSidebar';
// 复用首页的RightContent
// import RightContent from '@/pages/Home_v_2504/components/RightContent';
// 引入业务组件
import RightContent from './components/RightContent';

interface OverallSituationProps {
  visible: boolean;
}

/**
 * 整体概况子页面
 */
const OverallSituation: React.FC<OverallSituationProps> = ({ visible }) => {
  return (
    <SubPageTemplate
      visible={visible}
      pageId={INDUSTRY_PAGE_IDS.OVERALL_SITUATION}
      leftComponent={LeftContent}
      rightComponent={RightContent}
      // rightComponent={(props) => (
      //   <RightContent 
      //     {...props} 
      //     dataTypeKey="综合事件" 
      //     title="综合事件" 
      //     useHighFrequencyType={true}
      //     isThinLayout={true}
      //     pageId={INDUSTRY_PAGE_IDS.OVERALL_SITUATION}
      //   />
      // )}
      title="整体概况"
    />
  );
};

export default OverallSituation; 